> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Hris People

> Lists every employee-seat person in the org with employment, contractor, invite-hold and pending-termination details.

Required scope: `people:read`. It also needs `identity:read`.

## OpenAPI

````yaml api-reference/openapi.json GET /hris/get-hris-people
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-hris-people:
    get:
      operationId: getHrisPeople
      summary: Get Hris People
      x-toku-required-scope: people:read
      description: >-
        Lists every employee-seat person in the org with employment, contractor,
        invite-hold and pending-termination details.


        Required scope: `people:read`. It also needs `identity:read`.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetHrisPeopleResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetHrisPeopleResponse:
      type: array
      items:
        type: object
        properties:
          id:
            type: string
          fullName:
            type: string
          email:
            type: string
          type:
            type: string
            enum:
              - EMPLOYEE
              - CONTRACTOR
              - OTHER
          status:
            type: string
          hasWelcomeEmailSent:
            type: boolean
          membershipConsentPending:
            type: boolean
          canResendOnboardingInvite:
            type: boolean
          inviteHoldReason:
            type:
              - string
              - 'null'
            enum:
              - MISSING_EMPLOYMENT_AGREEMENT
              - null
          inviteHoldMessage:
            type:
              - string
              - 'null'
          title:
            type:
              - string
              - 'null'
          department:
            type:
              - string
              - 'null'
          location:
            type:
              - string
              - 'null'
          employingEntity:
            type:
              - string
              - 'null'
          stateOrCity:
            type:
              - string
              - 'null'
          countryCode:
            type:
              - string
              - 'null'
          startDate:
            type:
              - string
              - 'null'
            pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(?:\.\d+)?Z$
          endDate:
            type:
              - string
              - 'null'
            pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(?:\.\d+)?Z$
          workAuthorizationExpiryDate:
            type:
              - string
              - 'null'
            pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(?:\.\d+)?Z$
          hasPendingTermination:
            type: boolean
          hasScheduledTermination:
            type: boolean
          roleInOrg:
            type: object
            properties:
              roleInOrgID:
                type: string
              personID:
                type: string
              orgID:
                type: string
              role:
                type: string
              employmentType:
                type:
                  - string
                  - 'null'
              status:
                type:
                  - string
                  - 'null'
              lifecycleStatus:
                type:
                  - string
                  - 'null'
              isTerminated:
                type: boolean
              workEmail:
                type:
                  - string
                  - 'null'
              jobTitle:
                type:
                  - string
                  - 'null'
              department:
                type:
                  - string
                  - 'null'
              managerRoleInOrgID:
                type:
                  - string
                  - 'null'
              countryCode:
                type:
                  - string
                  - 'null'
              country:
                type:
                  - string
                  - 'null'
            required:
              - roleInOrgID
              - personID
              - orgID
              - role
              - employmentType
              - status
              - lifecycleStatus
              - isTerminated
              - workEmail
              - jobTitle
              - department
              - managerRoleInOrgID
              - countryCode
          employeeInfo:
            type:
              - object
              - 'null'
            properties:
              hrisEmployeeId:
                type: string
              lilithEmployeeId:
                type:
                  - integer
                  - 'null'
              employmentServiceType:
                type:
                  - string
                  - 'null'
              phoneNumber:
                type:
                  - string
                  - 'null'
              managerName:
                type:
                  - string
                  - 'null'
              managerEmail:
                type:
                  - string
                  - 'null'
              jobDescription:
                type:
                  - string
                  - 'null'
            required:
              - hrisEmployeeId
              - lilithEmployeeId
              - employmentServiceType
              - phoneNumber
              - managerName
              - managerEmail
              - jobDescription
          isPropTrader:
            type: boolean
          contractorInfo:
            type:
              - object
              - 'null'
            properties:
              hrisContractorId:
                type: string
              lilithContractorEntityId:
                type:
                  - string
                  - 'null'
              contractorType:
                type:
                  - string
                  - 'null'
              entityName:
                type:
                  - string
                  - 'null'
              entityType:
                type: string
              taxFormType:
                type:
                  - string
                  - 'null'
              invoiceFrequency:
                type:
                  - string
                  - 'null'
              taxFormSubmitted:
                type: boolean
            required:
              - hrisContractorId
              - lilithContractorEntityId
              - contractorType
              - entityName
              - entityType
              - taxFormType
              - invoiceFrequency
              - taxFormSubmitted
          employeeRecord:
            type:
              - object
              - 'null'
            properties:
              employeeID:
                type: integer
              title:
                type:
                  - string
                  - 'null'
              startDate:
                type:
                  - string
                  - 'null'
                pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(?:\.\d+)?Z$
              status:
                type:
                  - string
                  - 'null'
              employmentType:
                type:
                  - string
                  - 'null'
              departmentName:
                type:
                  - string
                  - 'null'
              countryName:
                type:
                  - string
                  - 'null'
              city:
                type:
                  - string
                  - 'null'
              state:
                type:
                  - string
                  - 'null'
              contractorEntityID:
                type:
                  - string
                  - 'null'
            required:
              - employeeID
              - title
              - startDate
              - status
              - employmentType
              - departmentName
              - countryName
              - city
              - state
              - contractorEntityID
          contractorRecord:
            type:
              - object
              - 'null'
            properties:
              contractorEntityID:
                type: string
              name:
                type: string
              countryName:
                type:
                  - string
                  - 'null'
            required:
              - contractorEntityID
              - name
              - countryName
          kotaBenefitsStatus:
            type:
              - object
              - 'null'
            properties:
              enrollmentStatus:
                type: string
              offboardingStatus:
                type: string
              hasKotaEmployeeID:
                type: boolean
              benefitsBannerDismissedAt:
                type:
                  - string
                  - 'null'
                pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(?:\.\d+)?Z$
              countryHasQuotaBenefits:
                type: boolean
            required:
              - enrollmentStatus
              - offboardingStatus
              - hasKotaEmployeeID
              - benefitsBannerDismissedAt
              - countryHasQuotaBenefits
        required:
          - id
          - fullName
          - email
          - type
          - status
          - hasWelcomeEmailSent
          - canResendOnboardingInvite
          - inviteHoldReason
          - inviteHoldMessage
          - title
          - department
          - location
          - employingEntity
          - stateOrCity
          - countryCode
          - startDate
          - endDate
          - workAuthorizationExpiryDate
          - hasPendingTermination
          - hasScheduledTermination
          - roleInOrg
          - employeeInfo
          - isPropTrader
          - contractorInfo
          - employeeRecord
          - contractorRecord
          - kotaBenefitsStatus
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
